### Type parameters

- #### TReturn

### Hierarchy

- ComposableTask<TReturn>
  - DetectFacesTaskBase
    - DetectAllFacesTask
    - DetectSingleFaceTask

## Index

### Constructors

- constructor

### Methods

- run
- then

## Constructors

### constructor

- new DetectFacesTaskBase<TReturn>(input: any, options?: FaceDetectionOptions): DetectFacesTaskBase<TReturn>

- Overrides ComposableTask.constructor

  - Defined in globalApi/DetectFacesTasks.ts:15

  #### Type parameters

  - #### TReturn

  #### Parameters

  - ##### input: any

  - ##### options: FaceDetectionOptions = ...

  #### Returns DetectFacesTaskBase<TReturn>

## Methods

### run

- run(): Promise<TReturn>

- Inherited from ComposableTask.run

  - Defined in globalApi/ComposableTask.ts:7

  #### Returns Promise<TReturn>

### then

- then(onfulfilled: (value: TReturn) => TReturn | PromiseLike<TReturn>): Promise<TReturn>

- Inherited from ComposableTask.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: TReturn) => TReturn | PromiseLike<TReturn>

    - - (value: TReturn): TReturn | PromiseLike<TReturn>

      - #### Parameters

        - ##### value: TReturn

        #### Returns TReturn | PromiseLike<TReturn>

  #### Returns Promise<TReturn>